Debian Bug report logs - #370524
RM: xmule -- RoM; needs re-packaging from scratch, maintainer agrees to removal in the meantime

Packages: ftp.debian.org, xmule; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>; Maintainer for xmule is (unknown);

Reported by: Adeodato Simó <dato@net.com.org.es>

Date: Mon, 5 Jun 2006 17:33:08 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>, David Schmitt <david@schmitt.edv-bus.at>, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>:
Bug#370524; Package xmule. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
New Bug report received and forwarded. Copy sent to Noèl Köthe <noel@debian.org>, David Schmitt <david@schmitt.edv-bus.at>, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: submit@bugs.debian.org
Subject: About the future of the xmule package
Date: Mon, 5 Jun 2006 19:01:35 +0200
Package: xmule

Hello.

I want get rid of dpkg-divert usage in the amule package, and replace it
with update-alternatives. For this, I planned to send a patch for xmule
implementing the change, but when I had a look at the xmule package, I
noticed that is in a very sorry state: several RC bugs open for more
than a year, various releases behind upstream, ...

So I would like to know if either of you still has any interest in the
xmule package, and would fix the existing bugs, and perhaps update to a
new version, at the same time that applying my patch, or if not, if
you're okay with requesting removal from the archive. I need this as
opposed to letting the package rot because Policy prevents me from
making amule Conflict: xmule if it exists in the archive (and I can't
leave things as are now, because I want dpkg-divert to go away).

Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                                    Listening to: Luke Vibert - Slowfast




Information forwarded to debian-bugs-dist@lists.debian.org, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>:
Bug#370524; Package xmule. Full text and rfc822 format available.

Acknowledgement sent to 370524@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 370524@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: 370524@bugs.debian.org
Cc: Noèl Köthe <noel@debian.org>, David Schmitt <david@schmitt.edv-bus.at>
Subject: Re: Bug#370524: About the future of the xmule package
Date: Sat, 17 Jun 2006 02:41:15 +0200
Hi guys, any comment with respect to this?

* Adeodato Simó [Mon, 05 Jun 2006 19:01:35 +0200]:

> Package: xmule

> Hello.

> I want get rid of dpkg-divert usage in the amule package, and replace it
> with update-alternatives. For this, I planned to send a patch for xmule
> implementing the change, but when I had a look at the xmule package, I
> noticed that is in a very sorry state: several RC bugs open for more
> than a year, various releases behind upstream, ...

> So I would like to know if either of you still has any interest in the
> xmule package, and would fix the existing bugs, and perhaps update to a
> new version, at the same time that applying my patch, or if not, if
> you're okay with requesting removal from the archive. I need this as
> opposed to letting the package rot because Policy prevents me from
> making amule Conflict: xmule if it exists in the archive (and I can't
> leave things as are now, because I want dpkg-divert to go away).

> Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                                       Listening to: Cujo - On The Track




Information forwarded to debian-bugs-dist@lists.debian.org, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>:
Bug#370524; Package xmule. Full text and rfc822 format available.

Acknowledgement sent to David Schmitt <david@schmitt.edv-bus.at>:
Extra info received and forwarded to list. Copy sent to xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 370524@bugs.debian.org (full text, mbox):

From: David Schmitt <david@schmitt.edv-bus.at>
To: 370524@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>
Cc: Noèl Köthe <noel@debian.org>
Subject: Re: Bug#370524: About the future of the xmule package
Date: Sat, 17 Jun 2006 11:30:52 +0200
On Saturday 17 June 2006 02:41, Adeodato Simó wrote:
> Hi guys, any comment with respect to this?

I'm not using it anymore.

popcon shows that there are only 3 voting (i.e. actually running the s/w)  
users left:

#rank name                            inst  vote
11999 xmule                             44     3

Regards, David
-- 
- hallo... wie gehts heute?
- *hust* gut *rotz* *keuch*
- gott sei dank kommunizieren wir über ein septisches medium ;)
 -- Matthias Leeb, Uni f. angewandte Kunst, 2005-02-15



Information forwarded to debian-bugs-dist@lists.debian.org, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>:
Bug#370524; Package xmule. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 370524@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: David Schmitt <david@schmitt.edv-bus.at>
Cc: 370524@bugs.debian.org, Noèl Köthe <noel@debian.org>
Subject: Re: Bug#370524: About the future of the xmule package
Date: Sat, 17 Jun 2006 14:28:40 +0200
* David Schmitt [Sat, 17 Jun 2006 11:30:52 +0200]:

> On Saturday 17 June 2006 02:41, Adeodato Simó wrote:
> > Hi guys, any comment with respect to this?

> I'm not using it anymore.

So, this means you won't be doing any more maintenance tasks for xmule,
right? Would you recommend to orphan it, or to drop it from the archive?

Let's also here Noèl's answers to the above two questions.

Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                       Listening to: Chavela Vargas - Que te vaya bonito




Information forwarded to debian-bugs-dist@lists.debian.org, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>:
Bug#370524; Package xmule. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 370524@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: 370524@bugs.debian.org, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>
Cc: Adeodato Simó <dato@net.com.org.es>, David Schmitt <david@schmitt.edv-bus.at>, Noèl Köthe <noel@debian.org>
Subject: Re: [pkg-xmule] Bug#370524: About the future of the xmule package
Date: Sat, 17 Jun 2006 16:12:27 +0200
Am Samstag, den 17.06.2006, 14:28 +0200 schrieb Adeodato Simó:
> * David Schmitt [Sat, 17 Jun 2006 11:30:52 +0200]:
> 
> > On Saturday 17 June 2006 02:41, Adeodato Simó wrote:
> > > Hi guys, any comment with respect to this?
> 
> > I'm not using it anymore.
> 
> So, this means you won't be doing any more maintenance tasks for xmule,
> right?

No. I do the maintenance tasks since some time. David and Noèl both
dropped any maintenance, except that Noèl is the sponsor.

> Would you recommend to orphan it, or to drop it from the archive?

Not completely. There were some problems (with several Debian packages)
in the past, why it was just a waste of time to try to make a new xMule
package. These issues are gone and there is just a patch hell left,
which I first want to try to solve in upstream, before I make a new
package. I saw your mail, but I'm not sure, what is the best way to
handle the situation. I would prefer a temporary remove of xmule from
the archives, so I don't block your work. Implementing the changes you
suggested in the OP after fixing all outstanding issues, preventing an
updated package, is not a problem.

Regards, Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>:
Bug#370524; Package xmule. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 370524@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Daniel Leidert <daniel.leidert.spam@gmx.net>
Cc: 370524@bugs.debian.org, xMule Package Maintainers <pkg-xmule-maintainers@lists.alioth.debian.org>, David Schmitt <david@schmitt.edv-bus.at>, Noèl Köthe <noel@debian.org>
Subject: Re: [pkg-xmule] Bug#370524: About the future of the xmule package
Date: Tue, 18 Jul 2006 02:56:50 +0200
reassign 370524 ftp.debian.org,xmule
retitle 370524 RM: xmule -- RoM; needs re-packaging from scratch, maintainer agrees to removal in the meantime
severity 370524 normal
thanks

* Daniel Leidert [Sat, 17 Jun 2006 16:12:27 +0200]:

> Am Samstag, den 17.06.2006, 14:28 +0200 schrieb Adeodato Simó:
> > * David Schmitt [Sat, 17 Jun 2006 11:30:52 +0200]:

> > > On Saturday 17 June 2006 02:41, Adeodato Simó wrote:
> > > > Hi guys, any comment with respect to this?

> > > I'm not using it anymore.

> > So, this means you won't be doing any more maintenance tasks for xmule,
> > right?

> No. I do the maintenance tasks since some time. David and Noèl both
> dropped any maintenance, except that Noèl is the sponsor.

> > Would you recommend to orphan it, or to drop it from the archive?

> Not completely. There were some problems (with several Debian packages)
> in the past, why it was just a waste of time to try to make a new xMule
> package. These issues are gone and there is just a patch hell left,
> which I first want to try to solve in upstream, before I make a new
> package. I saw your mail, but I'm not sure, what is the best way to
> handle the situation. I would prefer a temporary remove of xmule from
> the archives, so I don't block your work. Implementing the changes you
> suggested in the OP after fixing all outstanding issues, preventing an
> updated package, is not a problem.

Okay, thanks. I'll make amule Conflict: xmule (<= 1.10.0b-1), and just
contact me when you're ready to upload to talk about using the alternatives
system.

To be really correct (as per policy), amule can't conflict: xmule while
still shipping the same file without diverting it (which is indeed my
plan), so thanks for agreeing to a temporary removal.

(I assume Daniel is the person who will be working in the xmule package,
and take his word about removal as authoritative. If either David or
Noèl have something to say, please speak now.)

Thanks!

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                            Listening to: Pasión Vega - Tan poquita cosa




Bug reassigned from package `xmule' to `ftp.debian.org,xmule'. Request was from Adeodato Simó <dato@net.com.org.es> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adeodato Simó <dato@net.com.org.es> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `normal' Request was from Adeodato Simó <dato@net.com.org.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adeodato Simó <dato@net.com.org.es>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 370524-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 370524-close@bugs.debian.org
Cc: xmule@packages.debian.org, xmule@packages.qa.debian.org
Subject: Bug#370524: fixed
Date: Wed, 19 Jul 2006 06:20:13 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     xmule |  1.10.0b-1 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370524@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 19:51:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:19:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.